mixed-port: 7890
allow-lan: false
mode: rule
ipv6: false
log-level: info
external-controller: 0.0.0.0:9090
dns:
  enable: true
  listen: 0.0.0.0:53
  ipv6: false
  default-nameserver:
    - 223.5.5.5
    - 114.114.114.114
  nameserver:
    - 223.5.5.5
    - 114.114.114.114
    - 119.29.29.29
    - 180.76.76.76
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  fake-ip-filter:
    - "*.lan"
    - "*.localdomain"
    - "*.example"
    - "*.invalid"
    - "*.localhost"
    - "*.test"
    - "*.local"
    - "*.home.arpa"
    - router.asus.com
    - localhost.sec.qq.com
    - localhost.ptlogin2.qq.com
    - +.msftconnecttest.com
tun:
  enable: true
  stack: system
  auto-route: true
  auto-detect-interface: true
  dns-hijack:
    - 114.114.114.114
    - 180.76.76.76
    - 119.29.29.29
    - 223.5.5.5
    - 8.8.8.8
    - 8.8.4.4
    - 1.1.1.1
    - 1.0.0.1


proxies:
  - type: hysteria
    name: 🇫🇷_FR_法国
    server: 62.210.10.186
    port: 50011
    auth-str: dongtaiwang.com
    protocol: udp
    sni: apple.com
    up: 11 Mbps
    down: 55 Mbps
    skip-cert-verify: true
    alpn:
      - h3
  - type: hysteria
    name: 🇺🇸_US_美国
    server: 51.159.226.1
    port: 49003
    auth-str: dongtaiwang.com
    protocol: udp
    sni: apple.com
    up: "11"
    down: "55"
    skip-cert-verify: true
    alpn:
      - h3
  - type: hysteria
    name: 🇫🇷_FR_法国_1
    server: 62.210.10.186
    port: 35511
    auth-str: dongtaiwang.com
    protocol: udp
    sni: apple.com
    up: "11"
    down: "55"
    skip-cert-verify: true
    alpn:
      - h3
  - type: vless
    name: 🇺🇸_US_美国_1
    server: 172.66.156.81
    port: 80
    uuid: f7e81e80-086e-4e29-bb87-b9bde13f44dc
    network: ws
    servername: websocket.network.www.speedtest.net.flutter.dev.russia.pyt.digitalcity5.xyz.skylinkserver.site.
    encryption: none
    ws-opts:
      path: /@Shh_Proxy----@Shh_Proxy----@Shh_Proxy----@Shh_Proxy----@Shh_Proxy----@Shh_Proxy----@Shh_Proxy----@Shh_Proxy----@Shh_Proxy----@Shh_Proxy----@Shh_Proxy----@Shh_Proxy
      headers:
        Host: websocket.network.www.speedtest.net.flutter.dev.russia.pyt.digitalcity5.xyz.skylinkserver.site.
  - type: vmess
    name: 🇭🇰HK²_49|18.4MB/s|2%|GPT⁺|YT|NF|D+|X|KeepHistory
    server: c12c42a5-t6ngg0-t6vxb7-zn8y.hk3.p5pv.com
    port: 80
    uuid: 44e76f8c-7362-11ec-bb74-f23c9164ca5d
    alterId: 2
    network: ws
    cipher: auto
    servername: c12c42a5-t6ngg0-t6vxb7-zn8y.hk3.p5pv.com
    ws-opts:
      path: /
      headers:
        Host: c12c42a5-t6ngg0-t6vxb7-zn8y.hk3.p5pv.com
  - type: vless
    name: 🇺🇸_US_美国_2
    server: 156.229.161.107
    port: 10001
    uuid: 9c79aceb-4649-44ea-9698-b5e9ecf6d6da
    network: tcp
    servername: www.icloud.com
    tls: true
    encryption: none
    reality-opts:
      public-key: 4jNz4Bw-FZlaX-WtfAdwK0hegY28W_k8AttGd-7hZn4
      short-id: fb2c6678
    client-fingerprint: chrome
    flow: xtls-rprx-vision
  - type: ss
    name: 🇨🇳_CN_中国
    server: liubu9.singdns.com
    port: 17459
    cipher: aes-128-gcm
    password: 57bc0c04-8184-48f5-906b-897d095ed445
  - type: vless
    name: 🇵🇱_PL_波兰
    server: 185.136.132.171
    port: 24170
    uuid: fe21e399-ec6f-4cb5-8441-e911178665b1
    network: tcp
    servername: speedtest.net
    tls: true
    encryption: none
    reality-opts:
      public-key: VsmNi1ZMXVOwhCWpbCp51w-D_DzrxWX4jgfpcU0S9G4
      short-id: 2fb2106a629b
      spider-x: /
    client-fingerprint: chrome
  - type: vless
    name: 🇷🇺_RU_俄罗斯
    server: 83.166.255.72
    port: 443
    uuid: eb162ab1-a006-4931-b1b3-8fc88a22b10e
    network: tcp
    servername: 01.img.avito.st
    tls: true
    encryption: none
    reality-opts:
      public-key: zkeQCEkz7LlrzwzeG26Ae_HEk3_QlgM9CbiWJx5iWh0
    client-fingerprint: chrome
    flow: xtls-rprx-vision
  - type: trojan
    name: 🇨🇳_CN_中国_1
    server: 219.78.209.224
    port: 443
    password: BxceQaOe
    network: tcp
    sni: t.me/ripaojiedian
    skip-cert-verify: true
  - type: trojan
    name: 🇺🇸_US_美国_3
    server: 158.101.11.204
    port: 15805
    password: iwangjie
    network: ws
    sni: nodes.830901.xyz
    tls: true
    ws-opts:
      path: /?ed=2560
  - type: ss
    name: 🇳🇱_NL_荷兰
    server: 45.88.183.124
    port: 25578
    cipher: chacha20-ietf-poly1305
    password: bCZLsl80SLLqkljWS7yRk8
  - type: vmess
    name: 🇨🇳CN-14.17.71.237-2882
    server: 14.17.71.237
    port: 41319
    uuid: 82539eb7-18c8-48d0-bb9c-55d1b6e47f59
    alterId: 0
    network: ws
    cipher: auto
    servername: img14.360buyimg.com
    ws-opts:
      path: /obj
      headers:
        Host: img14.360buyimg.com
  - type: vmess
    name: 🇯🇵 日本 15
    server: xiaoniu.andcdn.bid
    port: 41315
    uuid: 82539eb7-18c8-48d0-bb9c-55d1b6e47f59
    alterId: 0
    network: ws
    cipher: auto
    servername: img14.360buyimg.com
    ws-opts:
      path: /obj
      headers:
        Host: img14.360buyimg.com
  - type: vless
    name: 🇷🇺_RU_俄罗斯_1
    server: 178.236.16.98
    port: 35728
    uuid: a00d89f6-ab7e-4e30-a5e5-54c701d62c93
    network: tcp
    servername: yahoo.com
    tls: true
    reality-opts:
      public-key: vhUFNoFcvtZAVMo8y5K5eU2V43m5q6yjmWIhp5RkFng
      short-id: 69a2
    client-fingerprint: chrome
  - type: vless
    name: 🇺🇸_US_美国_4
    server: support.zoom.us
    port: 2096
    uuid: fba4e0e0-118c-431f-9f6a-4cfc99f39de8
    network: ws
    servername: zoom.seaseus.pp.ua
    tls: true
    ws-opts:
      path: /seaseus
      headers:
        Host: zero.seaseus.pp.ua
    client-fingerprint: chrome
    alpn:
      - h3
  - type: vless
    name: 🇬🇧_GB_英国
    server: uk.nebesniy.com
    port: 993
    uuid: ad7a9316-1953-439a-854f-66355100a004
    network: grpc
    servername: eh.vk.com
    tls: true
    encryption: none
    reality-opts:
      public-key: ZARzkGY_wTuuFLAwjqlbouomKUTAzsV27toisTH4qlM
      short-id: c59406dc
    grpc-opts:
      grpc-service-name: VK
    client-fingerprint: chrome
  - type: vmess
    name: 🇺🇸US²_5|6.9MB/s|51%|GPT⁺|GM|YT|TK|NF|X|KeepHistory
    server: v8.hdacd.com
    port: 30808
    uuid: cbb3f877-d1fb-344c-87a9-d153bffd5484
    alterId: 2
    network: tcp
    cipher: auto
  - type: vless
    name: 🇬🇧_GB_英国_1
    server: 46.33.10.106
    port: 8443
    uuid: ad7a9316-1953-439a-854f-66355100a004
    network: tcp
    servername: web.max.ru
    tls: true
    encryption: none
    reality-opts:
      public-key: DaQZOn4aunFuaOY7Em0FexFFOWVyYKrrkZKvv3X0VRE
      short-id: de1da725
    client-fingerprint: chrome
    flow: xtls-rprx-vision
  - type: trojan
    name: 🇨🇳_CN_中国_2
    server: 45.192.222.112
    port: 8443
    password: trojan
    network: ws
    sni: store.timimi.dpdns.org
    fingerprint: chrome
    tls: true
    ws-opts:
      path: /?ed=2560
      headers:
        Host: store.timimi.dpdns.org
  - type: ss
    name: 🇺🇸_US_美国_5
    server: 98.81.59.20
    port: 443
    cipher: aes-256-cfb
    password: amazonskr05
  - type: vless
    name: 🇷🇺_RU_俄罗斯_2
    server: 5.129.214.27
    port: 4443
    uuid: 1859f2db-e6e8-4dc4-b21e-99da517e2e62
    network: tcp
    servername: github.com
    tls: true
    encryption: none
    reality-opts:
      public-key: 5XB_N3ATilH-6tp_MXht-84_y5YaJnx_Z7MbuY2otHE
      short-id: aa7e96542880027a
    client-fingerprint: chrome
    flow: xtls-rprx-vision
  - type: vless
    name: 🇺🇸_US_美国_6
    server: 216.144.231.65
    port: 465
    uuid: ad7a9316-1953-439a-854f-66355100a004
    network: grpc
    servername: smtp.yandex.ru
    tls: true
    encryption: none
    reality-opts:
      public-key: bjmYfGsbMMVrbhhdbhKbOrsmmOq04rtsJP8xEyHAcUA
      short-id: 4c11446008
    grpc-opts:
      grpc-service-name: SMTP
    client-fingerprint: chrome
  - type: vmess
    name: 🇭🇰HK-203.198.28.145-1002
    server: aflzzul.meiquankongjian.com
    port: 52513
    uuid: 342bacfd-2b8f-3f49-a16e-439db5b0b9d5
    alterId: 0
    network: ws
    cipher: auto
    servername: aflzzul.meiquankongjian.com
    ws-opts:
      path: /564dfa20/
      headers:
        Host: aflzzul.meiquankongjian.com
  - type: ss
    name: 🇯🇵_JP_日本
    server: ss.022.node-for-bigairport.win
    port: 15099
    cipher: aes-256-gcm
    password: c69374da-2208-4cbd-b81e-cdf88b5e7f53
  - type: ss
    name: 🇯🇵_JP_日本_1
    server: ss.025.node-for-bigairport.win
    port: 19690
    cipher: aes-256-gcm
    password: c69374da-2208-4cbd-b81e-cdf88b5e7f53
  - type: vless
    name: 🇺🇸_US_美国_7
    server: axe.soyet2j.ir
    port: 443
    uuid: 4624643d-cfad-4860-9a61-9a2a191edd2a
    network: ws
    servername: menu.gejeh683bm.ir
    tls: true
    encryption: none
    ws-opts:
      path: /77d76f3d-5da8-4198-b5d2-9634d3059ad0
      headers:
        Host: menu.gejeh683bm.ir
    client-fingerprint: chrome
    alpn:
      - h2
proxy-groups:
  - name: 🚀 节点选择
    type: select
    proxies:
      - ♻️ 自动选择
      - DIRECT
      - 🇫🇷_FR_法国
      - 🇺🇸_US_美国
      - 🇫🇷_FR_法国_1
      - 🇺🇸_US_美国_1
      - 🇭🇰HK²_49|18.4MB/s|2%|GPT⁺|YT|NF|D+|X|KeepHistory
      - 🇺🇸_US_美国_2
      - 🇨🇳_CN_中国
      - 🇵🇱_PL_波兰
      - 🇷🇺_RU_俄罗斯
      - 🇨🇳_CN_中国_1
      - 🇺🇸_US_美国_3
      - 🇳🇱_NL_荷兰
      - 🇨🇳CN-14.17.71.237-2882
      - 🇯🇵 日本 15
      - 🇷🇺_RU_俄罗斯_1
      - 🇺🇸_US_美国_4
      - 🇬🇧_GB_英国
      - 🇺🇸US²_5|6.9MB/s|51%|GPT⁺|GM|YT|TK|NF|X|KeepHistory
      - 🇬🇧_GB_英国_1
      - 🇨🇳_CN_中国_2
      - 🇺🇸_US_美国_5
      - 🇷🇺_RU_俄罗斯_2
      - 🇺🇸_US_美国_6
      - 🇭🇰HK-203.198.28.145-1002
      - 🇯🇵_JP_日本
      - 🇯🇵_JP_日本_1
      - 🇺🇸_US_美国_7
  - name: ♻️ 自动选择
    type: url-test
    proxies:
      - 🇫🇷_FR_法国
      - 🇺🇸_US_美国
      - 🇫🇷_FR_法国_1
      - 🇺🇸_US_美国_1
      - 🇭🇰HK²_49|18.4MB/s|2%|GPT⁺|YT|NF|D+|X|KeepHistory
      - 🇺🇸_US_美国_2
      - 🇨🇳_CN_中国
      - 🇵🇱_PL_波兰
      - 🇷🇺_RU_俄罗斯
      - 🇨🇳_CN_中国_1
      - 🇺🇸_US_美国_3
      - 🇳🇱_NL_荷兰
      - 🇨🇳CN-14.17.71.237-2882
      - 🇯🇵 日本 15
      - 🇷🇺_RU_俄罗斯_1
      - 🇺🇸_US_美国_4
      - 🇬🇧_GB_英国
      - 🇺🇸US²_5|6.9MB/s|51%|GPT⁺|GM|YT|TK|NF|X|KeepHistory
      - 🇬🇧_GB_英国_1
      - 🇨🇳_CN_中国_2
      - 🇺🇸_US_美国_5
      - 🇷🇺_RU_俄罗斯_2
      - 🇺🇸_US_美国_6
      - 🇭🇰HK-203.198.28.145-1002
      - 🇯🇵_JP_日本
      - 🇯🇵_JP_日本_1
      - 🇺🇸_US_美国_7
    url: http://www.gstatic.com/generate_204
    interval: 300
  - name: 🎯 全球直连
    type: select
    proxies:
      - DIRECT
      - 🚀 节点选择
      - ♻️ 自动选择
  - name: 🛑 全球拦截
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🐟 漏网之鱼
    type: select
    proxies:
      - 🚀 节点选择
      - 🎯 全球直连
      - ♻️ 自动选择
      - 🇫🇷_FR_法国
      - 🇺🇸_US_美国
      - 🇫🇷_FR_法国_1
      - 🇺🇸_US_美国_1
      - 🇭🇰HK²_49|18.4MB/s|2%|GPT⁺|YT|NF|D+|X|KeepHistory
      - 🇺🇸_US_美国_2
      - 🇨🇳_CN_中国
      - 🇵🇱_PL_波兰
      - 🇷🇺_RU_俄罗斯
      - 🇨🇳_CN_中国_1
      - 🇺🇸_US_美国_3
      - 🇳🇱_NL_荷兰
      - 🇨🇳CN-14.17.71.237-2882
      - 🇯🇵 日本 15
      - 🇷🇺_RU_俄罗斯_1
      - 🇺🇸_US_美国_4
      - 🇬🇧_GB_英国
      - 🇺🇸US²_5|6.9MB/s|51%|GPT⁺|GM|YT|TK|NF|X|KeepHistory
      - 🇬🇧_GB_英国_1
      - 🇨🇳_CN_中国_2
      - 🇺🇸_US_美国_5
      - 🇷🇺_RU_俄罗斯_2
      - 🇺🇸_US_美国_6
      - 🇭🇰HK-203.198.28.145-1002
      - 🇯🇵_JP_日本
      - 🇯🇵_JP_日本_1
      - 🇺🇸_US_美国_7
rule-providers:
  LocalAreaNetwork:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/master/Clash/LocalAreaNetwork.list
    path: ./rules/providers/LocalAreaNetwork.list
    interval: 86400
  BanAD:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/master/Clash/BanAD.list
    path: ./rules/providers/BanAD.list
    interval: 86400
  BanProgramAD:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/master/Clash/BanProgramAD.list
    path: ./rules/providers/BanProgramAD.list
    interval: 86400
  GoogleCN:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/master/Clash/GoogleCN.list
    path: ./rules/providers/GoogleCN.list
    interval: 86400
  SteamCN:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/master/Clash/Ruleset/SteamCN.list
    path: ./rules/providers/SteamCN.list
    interval: 86400
  Telegram:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/master/Clash/Telegram.list
    path: ./rules/providers/Telegram.list
    interval: 86400
  ProxyMedia:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/master/Clash/ProxyMedia.list
    path: ./rules/providers/ProxyMedia.list
    interval: 86400
  ProxyLite:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/master/Clash/ProxyLite.list
    path: ./rules/providers/ProxyLite.list
    interval: 86400
  ChinaDomain:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/master/Clash/ChinaDomain.list
    path: ./rules/providers/ChinaDomain.list
    interval: 86400
  ChinaCompanyIp:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/master/Clash/ChinaCompanyIp.list
    path: ./rules/providers/ChinaCompanyIp.list
    interval: 86400

rules:
  - RULE-SET,LocalAreaNetwork,🎯 全球直连
  - RULE-SET,BanAD,🛑 全球拦截
  - RULE-SET,BanProgramAD,🛑 全球拦截
  - RULE-SET,GoogleCN,🎯 全球直连
  - RULE-SET,SteamCN,🎯 全球直连
  - RULE-SET,Telegram,🚀 节点选择
  - RULE-SET,ProxyMedia,🚀 节点选择
  - RULE-SET,ProxyLite,🚀 节点选择
  - RULE-SET,ChinaDomain,🎯 全球直连
  - RULE-SET,ChinaCompanyIp,🎯 全球直连
  - GEOIP,CN,🎯 全球直连
  - MATCH,🐟 漏网之鱼